categories:
- Blog
- CMS
questions:
- variable: defaultImage
  default: true
  description: "Use default jira image"
  label: Use Default Image
  type: boolean
  show_subquestion_if: false
  group: "Container Images"
  subquestions:
  - variable: image.repository
    default: "docker.k8.network/library/atlassian-jira-software:latest"
    description: "JIRA image"
    type: string
    label: JIRA Image Name

- variable: jira.proxy.name
  default: "jira.local"
  description: "URL of the JIRA instnance"
  type: string
  required: true
  label: JIRA URL
  group: "JIRA Proxy Settings"
- variable: jira.proxy.port
  default: 80
  description: "Port of the JIRA instnance"
  type: int
  required: true
  label: JIRA Port
  group: "JIRA Proxy Settings"
- variable: jira.proxy.scheme
  default: "http"
  description: "Scheme of the JIRA instnance"
  type: string
  required: true
  label: JIRA Scheme
  group: "JIRA Proxy Settings"

- variable: jira.service.type
  default: "ClusterIP"
  description: "Service Type"
  type: string
  required: true
  label: JIRA Service Type
  group: "JIRA Service Settings"
- variable: jira.service.port
  default: 8080
  description: "Port of the JIRA Service"
  type: int
  required: true
  label: JIRA Service Port
  group: "JIRA Service Settings"

- variable: jira.storage.class
  default: ""
  description: "Persistent storage class"
  type: storageclass
  required: false
  label: JIRA Persistent storage class
  group: "JIRA Storage Settings"
- variable: jira.storage.size
  default: 5Gi
  description: "Persistent storage size"
  type: string
  required: true
  label: JIRA Persistent storage size
  group: "JIRA Storage Settings"

- variable: jira.memory.min
  default: "384m"
  description: "Minimal amount of memory for the JIRA instance"
  type: string
  required: false
  label: JIRA minimal memory
  group: "JIRA Memory Settings"
- variable: jira.memory.max
  default: "768m"
  description: "Maximum amount of memory for the JIRA instance"
  type: string
  required: true
  label: JIRA maximum memory
  group: "JIRA Memory Settings"

- variable: jira.database.address
  default: localhost
  description: "IP/Hostname of the database server"
  type: string
  required: true
  label: Database Host
  group: "JIRA Database Settings"
- variable: jira.database.name
  default: jira
  description: "Name of the database"
  type: string
  required: true
  label: Database Name
  group: "JIRA Database Settings"
- variable: jira.database.password
  description: "Password to use for database"
  type: password
  required: true
  label: Database Password
  group: "JIRA Database Settings"
- variable: jira.database.user
  default: root
  description: "Username to use for database"
  type: string
  required: true
  label: Database Username
  group: "JIRA Database Settings"